#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KTNEF - an API for handling TNEF data
Name:           ktnef
Version: 16.12.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5CalendarUtils) >= 5.3.1
BuildRequires:  cmake(KF5Contacts)

BuildRequires:  boost-devel

BuildRequires:  pkgconfig(libsasl2)

%description
KTNEF - an API for handling TNEF data.

#--------------------------------------------------------------------

%define ktnef_major 5
%define libktnef %mklibname kf5tnef %{ktnef_major}

%package -n %libktnef
Summary:      KTNEF - an API for handling TNEF data
Group:        System/Libraries

Obsoletes:    %{_lib}kf5tnef4 < 16.03.80

%description -n %libktnef
KTNEF - an API for handling TNEF data.

%files -n %libktnef
%_kf5_libdir/libKF5Tnef.so.%{ktnef_major}*

#--------------------------------------------------------------------

%define ktnef_devel %mklibname kf5tnef -d

%package -n %ktnef_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libktnef = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %ktnef_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ktnef_devel
%_kf5_includedir/KTNEF
%_kf5_includedir/*.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Tnef
%_qt5_prefix/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang --all %{name}5



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090132
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076875
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072068
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067386
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061449
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1052225
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1048044
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040114
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012604
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004393
- New version 16.04.0

* Sat Apr 02 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 997712
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991237
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987507
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922679
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911967
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905425
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901161
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890642
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880454
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865972
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863725
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861785
- New version 15.07.90

* Wed Jul 29 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858839
- imported package ktnef

